

#include "BUILTIN.h"
extern OBJ __AInterOpal_19;
extern OBJ _AInterOpal_25(OBJ);extern OBJ __AInterOpal_25;
extern OBJ __AInterOpal_27;
extern OBJ _AInterOpal_28(OBJ);extern OBJ __AInterOpal_28;
extern OBJ _AInterOpal_30(OBJ);extern OBJ __AInterOpal_30;
extern OBJ _AInterOpal_39(OBJ);extern OBJ __AInterOpal_39;
extern OBJ _AInterOpal_48(OBJ);extern OBJ __AInterOpal_48;
extern OBJ __AInterOpal_57;
extern OBJ _AInterOpal_271(OBJ);extern OBJ __AInterOpal_271;
extern OBJ _AInterOpal_278(OBJ);extern OBJ __AInterOpal_278;
extern OBJ _AInterOpal_280(OBJ);extern OBJ __AInterOpal_280;
extern OBJ _AInterOpal_293(OBJ);extern OBJ __AInterOpal_293;
extern OBJ _AInterOpal_309(OBJ,OBJ);extern OBJ __AInterOpal_309;
extern OBJ _AInterOpal_310(OBJ,OBJ);extern OBJ __AInterOpal_310;
extern OBJ _AInterOpal_314(OBJ,OBJ);extern OBJ __AInterOpal_314;
extern OBJ _AInterOpal_315(OBJ,OBJ);extern OBJ __AInterOpal_315;

#include "Nat.h"
extern OBJ __ASeq_6;
extern OBJ _ASeq_40(OBJ,OBJ);extern OBJ __ASeq_40;
extern OBJ _ASeq_52(OBJ,OBJ);extern OBJ __ASeq_52;
extern OBJ _AMap_16(OBJ,OBJ,OBJ);extern OBJ __AMap_16;
extern OBJ _AMap_20(OBJ,OBJ,OBJ);extern OBJ __AMap_20;
extern OBJ _AMap_22(OBJ,OBJ);extern OBJ __AMap_22;
extern OBJ __APair_2;
extern OBJ _ACompose_4(OBJ,OBJ,OBJ);extern OBJ __ACompose_4;

#include "Denotation.h"
extern OBJ _AMapConv_5(OBJ,OBJ);extern OBJ __AMapConv_5;
extern OBJ _ASeqConv_3(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeqConv_3;
extern OBJ __ASeqConv_8;
extern OBJ _ASeqFilter_2(OBJ,OBJ);extern OBJ __ASeqFilter_2;
extern TUP2 _ASeqFilter_5(OBJ,OBJ);extern OBJ __ASeqFilter_5;
extern OBJ _ASeqFilter_6(OBJ,OBJ);extern OBJ __ASeqFilter_6;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern OBJ _ASeqOfSeq_2(OBJ);extern OBJ __ASeqOfSeq_2;
extern OBJ _ASeqZip_4(OBJ,OBJ,OBJ);extern OBJ __ASeqZip_4;

#include "NatConv.h"

#include "Int.h"

#include "Real.h"

#include "Char.h"
extern OBJ _AInterOpalAccess_1(OBJ,OBJ);OBJ __AInterOpalAccess_1; /* sort? */
extern OBJ _AInterOpalAccess_2(OBJ,OBJ);OBJ __AInterOpalAccess_2; /* fct? */
extern OBJ _AInterOpalAccess_3(OBJ,OBJ);OBJ __AInterOpalAccess_3; /* const? */
extern OBJ _AInterOpalAccess_4(OBJ);OBJ __AInterOpalAccess_4; /* internal? */
extern OBJ _AInterOpalAccess_5(OBJ);OBJ __AInterOpalAccess_5; /* external? */
extern OBJ _AInterOpalAccess_6(OBJ);OBJ __AInterOpalAccess_6; /* local? */
extern OBJ _AInterOpalAccess_7(OBJ);OBJ __AInterOpalAccess_7; /* global? */
extern OBJ _AInterOpalAccess_8(OBJ,OBJ);OBJ __AInterOpalAccess_8; /* param? */
extern OBJ _AInterOpalAccess_9(OBJ,OBJ);OBJ __AInterOpalAccess_9; /* param?,1 */
extern OBJ _AInterOpalAccess_10(OBJ);OBJ __AInterOpalAccess_10; /* param?,2 */
extern OBJ _AInterOpalAccess_11(OBJ);OBJ __AInterOpalAccess_11; /* param?,3 */
extern OBJ _AInterOpalAccess_12(OBJ,OBJ);OBJ __AInterOpalAccess_12; /* freeType? */
extern OBJ _AInterOpalAccess_13(OBJ,OBJ);OBJ __AInterOpalAccess_13; /* constructor? */
extern OBJ _AInterOpalAccess_14(OBJ);OBJ __AInterOpalAccess_14; /* structs */
extern OBJ _AInterOpalAccess_15(OBJ);OBJ __AInterOpalAccess_15; /* mainStruct */
extern OBJ _AInterOpalAccess_16(OBJ);OBJ __AInterOpalAccess_16; /* transStructs */
extern OBJ _AInterOpalAccess_17(OBJ,OBJ);OBJ __AInterOpalAccess_17; /* struct */
extern OBJ _AInterOpalAccess_18(OBJ,OBJ);OBJ __AInterOpalAccess_18; /* struct,1 */
extern OBJ _AInterOpalAccess_19(OBJ);OBJ __AInterOpalAccess_19; /* objects */
extern OBJ _AInterOpalAccess_20(OBJ);OBJ __AInterOpalAccess_20; /* objects,1 */
extern OBJ _AInterOpalAccess_21(OBJ,OBJ);OBJ __AInterOpalAccess_21; /* object */
extern OBJ _AInterOpalAccess_22(OBJ);OBJ __AInterOpalAccess_22; /* laws */
extern OBJ _AInterOpalAccess_23(OBJ);OBJ __AInterOpalAccess_23; /* laws,1 */
extern OBJ _AInterOpalAccess_24(OBJ);OBJ __AInterOpalAccess_24; /* freeTypes */
extern OBJ _AInterOpalAccess_25(OBJ,OBJ);OBJ __AInterOpalAccess_25; /* freeType */
extern OBJ _AInterOpalAccess_26(OBJ,OBJ);OBJ __AInterOpalAccess_26; /* variant */
extern OBJ _AInterOpalAccess_27(OBJ,OBJ);OBJ __AInterOpalAccess_27; /* fct */
extern OBJ _AInterOpalAccess_28(OBJ,OBJ);OBJ __AInterOpalAccess_28; /* kind */
extern OBJ _AInterOpalAccess_29(OBJ,OBJ);OBJ __AInterOpalAccess_29; /* origInst */
extern OBJ _AInterOpalAccess_30(OBJ,OBJ);OBJ __AInterOpalAccess_30; /* instFct */
extern OBJ _AInterOpalAccess_31(OBJ);OBJ __AInterOpalAccess_31; /* bestPos */
extern OBJ _AInterOpalAccess_32(OBJ);OBJ __AInterOpalAccess_32; /* formParams */
extern OBJ _AInterOpalAccess_33(OBJ);OBJ __AInterOpalAccess_33; /* formParams,1 */
extern TUP2 _AInterOpalAccess_34(OBJ);OBJ __AInterOpalAccess_34; /* typeOpParams */
extern TUP2 _AInterOpalAccess_35(OBJ);OBJ __AInterOpalAccess_35; /* typeOpParams,1 */
extern OBJ _AInterOpalAccess_36(OBJ,OBJ);OBJ __AInterOpalAccess_36; /* paramNo */
extern OBJ _AInterOpalAccess_37(OBJ);OBJ __AInterOpalAccess_37; /* symbol */
extern OBJ _AInterOpalAccess_38(OBJ,OBJ);OBJ __AInterOpalAccess_38; /* symbol,1 */
extern OBJ _AInterOpalAccess_39(OBJ,OBJ);OBJ __AInterOpalAccess_39; /* printFct */
extern OBJ _AInterOpalAccess_40(OBJ,OBJ);OBJ __AInterOpalAccess_40; /* = */
extern OBJ _AInterOpalAccess_41(OBJ,OBJ);OBJ __AInterOpalAccess_41; /* =,1 */
extern OBJ _AInterOpalAccess_42(OBJ);OBJ __AInterOpalAccess_42; /* asDeno */
extern OBJ _AInterOpalAccess_45(OBJ,OBJ,OBJ);OBJ __AInterOpalAccess_45; /* ` */
extern OBJ _AInterOpalAccess_47(OBJ,OBJ,OBJ,OBJ);OBJ __AInterOpalAccess_47; /* subst */
extern OBJ _AInterOpalAccess_48(OBJ,OBJ,OBJ,OBJ);OBJ __AInterOpalAccess_48; /* subst,1 */
extern OBJ _AInterOpalAccess_50(OBJ,OBJ);OBJ __AInterOpalAccess_50; /* bestPos,1 */
extern OBJ _AInterOpalAccess_51(OBJ,OBJ);OBJ __AInterOpalAccess_51; /* <= */
extern OBJ _AInterOpalAccess_60(OBJ);OBJ __AInterOpalAccess_60; /* fctOrAny? */
extern OBJ _AInterOpalAccess_72(OBJ,OBJ);OBJ __AInterOpalAccess_72; /* objects,2 */
extern OBJ _AInterOpalAccess_74(OBJ,OBJ);OBJ __AInterOpalAccess_74; /* object,1 */
extern OBJ _AInterOpalAccess_78(OBJ);OBJ __AInterOpalAccess_78; /* formals */
extern OBJ _AInterOpalAccess_79(OBJ,OBJ);OBJ __AInterOpalAccess_79; /* param?,4 */
extern OBJ _AInterOpalAccess_82(OBJ,OBJ);OBJ __AInterOpalAccess_82; /* paramNo,1 */
extern OBJ _AInterOpalAccess_86(OBJ,OBJ);OBJ __AInterOpalAccess_86; /* =,2 */
extern OBJ _AInterOpalAccess_89(OBJ,OBJ,OBJ);OBJ __AInterOpalAccess_89; /* freeTypes,1 */
extern OBJ _AInterOpalAccess_92(OBJ,OBJ);OBJ __AInterOpalAccess_92; /* constructors */
extern OBJ _AInterOpalAccess_93(OBJ,OBJ);OBJ __AInterOpalAccess_93; /* param?,4'93 */
extern OBJ _AInterOpalAccess_94(OBJ,OBJ,OBJ);OBJ __AInterOpalAccess_94; /* freeTypes,1'94 */
extern OBJ _AInterOpalAccess_95(OBJ,OBJ);OBJ __AInterOpalAccess_95; /* constructors'95 */
extern OBJ _AInterOpalAccess_96(OBJ,OBJ);OBJ __AInterOpalAccess_96; /* constructors'96 */
extern OBJ _AInterOpalAccess_97(OBJ);OBJ __AInterOpalAccess_97; /* transStructs'97 */
extern OBJ _AInterOpalAccess_98(OBJ,OBJ,OBJ,OBJ);OBJ __AInterOpalAccess_98; /* subst'98 */
OBJ __AInterOpalAccess_99; /* fctOrAny?'99 */
extern OBJ _AInterOpalAccess_100(OBJ,OBJ);OBJ __AInterOpalAccess_100; /* typeOpParams'100 */
extern OBJ _AInterOpalAccess_101(OBJ,OBJ);OBJ __AInterOpalAccess_101; /* typeOpParams'101 */
extern OBJ _AInterOpalAccess_102(OBJ,OBJ);OBJ __AInterOpalAccess_102; /* paramNo,1'102 */
OBJ __AInterOpalAccess_103; /* `'103 */
OBJ __AInterOpalAccess_104; /* `'104 */
OBJ __AInterOpalAccess_105; /* `'105 */
OBJ __AInterOpalAccess_106; /* `'106 */
OBJ __AInterOpalAccess_107; /* `'107 */
OBJ __AInterOpalAccess_108; /* `'108 */
extern OBJ _AInterOpalAccess_109(OBJ,OBJ);OBJ __AInterOpalAccess_109; /* printFct'109 */
OBJ __AInterOpalAccess_110; /* printFct'110 */
OBJ __AInterOpalAccess_111; /* printFct'111 */
OBJ __AInterOpalAccess_112; /* asDeno'112 */
OBJ __AInterOpalAccess_113; /* asDeno'113 */

extern OBJ _AInterOpalAccess_1(OBJ x1,OBJ x2) /* sort? */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x15=FLD1(x3,4);
   if(EXPRD(x3,1)){
    FLD1(x3,4)=NIL;DSPRD(x3);
   }else{
    COPY(x15,1);
    FRPRD(x3,1);}
   if(ISPRM(x15)){
    r=__ABUILTIN_5;
   }else{
    FREE(x15,1);
    r=__ABUILTIN_3;}}}
 return r;}

extern OBJ _AInterOpalAccess_2(OBJ x1,OBJ x2) /* fct? */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x16=FLD1(x3,4);
   if(EXPRD(x3,1)){
    FLD1(x3,4)=NIL;DSPRD(x3);
   }else{
    COPY(x16,1);
    FRPRD(x3,1);}
   if(ISPRD(x16)&&(ISTGPRD(x16,1))){
    if(EXPRD(x16,1)){
     FRPRD(FLD(x16,1),1);DSPRDF(x16);
    }else{
     DCPRD(x16,1);}
    r=__ABUILTIN_5;
   }else{
    FREE(x16,1);
    r=__ABUILTIN_3;}}}
 return r;}

extern OBJ _AInterOpalAccess_3(OBJ x1,OBJ x2) /* const? */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x24=FLD1(x3,4);
   if(EXPRD(x3,1)){
    FLD1(x3,4)=NIL;DSPRD(x3);
   }else{
    COPY(x24,1);
    FRPRD(x3,1);}
   if(ISPRD(x24)&&(ISTGPRD(x24,1))){
    {OBJ x28=FLD(x24,1);
     if(EXPRD(x24,1)){
      DSPRDF(x24);
     }else{
      CPPRD(x28,1);
      FRPRD(x24,1);}
     if(ISTGPRD(x28,0)){
      if(EXPRD(x28,1)){
       FRPRD(FLD(x28,1),1);DSPRDF(x28);
      }else{
       DCPRD(x28,1);}
      r=__ABUILTIN_5;
     }else{
      FRPRD(x28,1);
      r=__ABUILTIN_3;}}
   }else{
    FREE(x24,1);
    r=__ABUILTIN_3;}}}
 return r;}

extern OBJ _AInterOpalAccess_4(OBJ x1) /* internal? */
{OBJ r;
 CPCLS(__AInterOpal_28,1);
 CPCLS(__AInterOpal_39,1);
 r=_ACompose_4(__AInterOpal_28,__AInterOpal_39,x1);
 return r;}

extern OBJ _AInterOpalAccess_5(OBJ x1) /* external? */
{OBJ r;
 CPCLS(__AInterOpal_25,1);
 CPCLS(__AInterOpal_39,1);
 r=_ACompose_4(__AInterOpal_25,__AInterOpal_39,x1);
 return r;}

extern OBJ _AInterOpalAccess_6(OBJ x1) /* local? */
{OBJ r;
 CPCLS(__AInterOpal_30,1);
 CPCLS(__AInterOpal_39,1);
 r=_ACompose_4(__AInterOpal_30,__AInterOpal_39,x1);
 return r;}

extern OBJ _AInterOpalAccess_7(OBJ x1) /* global? */
{OBJ r;
 CPCLS(__AInterOpalAccess_6,1);
 CPCLS(__ABUILTIN_7,1);
 r=_ACompose_4(__ABUILTIN_7,__AInterOpalAccess_6,x1);
 return r;}

extern OBJ _AInterOpalAccess_8(OBJ x1,OBJ x2) /* param? */
{OBJ r;
 CPPRD(x2,1);
 {OBJ x3;
  x3=_AInterOpalAccess_18(x1,x2);
  {OBJ x4=FLD1(x2,1);
   if(EXPRD(x2,1)){
    DSPRD(x2);
   }else{
    FRPRD(x2,1);}
   {OBJ x7;
    x7=x4;
    r=_AInterOpalAccess_79(x3,x7);}}}
 return r;}

extern OBJ _AInterOpalAccess_9(OBJ x1,OBJ x2) /* param?,1 */
{OBJ r;
 {OBJ x4=FLD1(x2,2);
  if(EXPRD(x2,1)){
   DSPRD(x2);
  }else{
   FRPRD(x2,1);}
  {OBJ x10;
   x10=x4;
   r=_AInterOpalAccess_79(x1,x10);}}
 return r;}

extern OBJ _AInterOpalAccess_10(OBJ x1) /* param?,2 */
{OBJ r;
 {OBJ x14=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x14,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x15;
   x15=_AMap_16(__AInterOpal_314,x14,__AInterOpal_27);
   {OBJ x19=FLD1(x15,4);
    if(EXPRD(x15,1)){
     FLD1(x15,4)=NIL;DSPRD(x15);
    }else{
     COPY(x19,1);
     FRPRD(x15,1);}
    CPCLS(__AInterOpal_315,1);
    r=_AMap_20(__AInterOpal_315,__AInterOpal_19,x19);}}}
 return r;}

extern OBJ _AInterOpalAccess_11(OBJ x1) /* param?,3 */
{OBJ r;
 {OBJ x5=FLD1(x1,4);
  if(EXPRD(x1,1)){
   FLD1(x1,4)=NIL;DSPRD(x1);
  }else{
   COPY(x5,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_315,1);
  {OBJ x10;
   x10=x5;
   r=_AMap_20(__AInterOpal_315,__AInterOpal_19,x10);}}
 return r;}

extern OBJ _AInterOpalAccess_12(OBJ x1,OBJ x2) /* freeType? */
{OBJ r;
 CPPRD(x1,1);
 {OBJ x12;
  x12=_AInterOpalAccess_24(x1);
  {OBJ x4=FLD1(x1,2);
   if(EXPRD(x1,1)){
    FLD1(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    FRPRD(x1,1);}
   {OBJ x11;OBJ x13;
    x11=x4;
    x13=_AInterOpalAccess_89(x11,x12,x2);
    if(ISPRM(x13)){
     r=__ABUILTIN_3;
    }else{
     if(EXPRD(x13,1)){
      DSPRD(x13);
     }else{
      DCPRD(x13,1);}
     r=__ABUILTIN_5;}}}}
 return r;}

extern OBJ _AInterOpalAccess_13(OBJ x1,OBJ x2) /* constructor? */
{OBJ r;
 {OBJ x3;OBJ x4;
  x3=_AInterOpalAccess_24(x1);
  x4=_AInterOpalAccess_92(x3,x2);
  if(ISPRM(x4)){
   r=__ABUILTIN_3;
  }else{
   if(EXPRD(x4,1)){
    DSPRD(x4);
   }else{
    DCPRD(x4,1);}
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _AInterOpalAccess_14(OBJ x1) /* structs */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x4;
   x4=x3;
   r=_AMap_22(__AInterOpal_314,x4);}}
 return r;}

extern OBJ _AInterOpalAccess_15(OBJ x1) /* mainStruct */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x4;
   x4=x3;
   r=_AMap_16(__AInterOpal_314,x4,__AInterOpal_27);}}
 return r;}

extern OBJ _AInterOpalAccess_16(OBJ x1) /* transStructs */
{OBJ r;
 CPCLS(__AInterOpalAccess_97,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_97,1))(__AInterOpalAccess_97,__ABUILTIN_20);
  {OBJ x4=FLD1(x1,2);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    COPY(x4,1);
    FRPRD(x1,1);}
   CPCLS(__AInterOpal_314,1);
   {OBJ x5;
    x5=_AMap_22(__AInterOpal_314,x4);
    r=_ASeqFilter_2(x2,x5);}}}
 return r;}

extern OBJ _AInterOpalAccess_17(OBJ x1,OBJ x2) /* struct */
{OBJ r;
 {OBJ x4=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x4,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x5;
   x5=x4;
   r=_AMap_16(__AInterOpal_314,x5,x2);}}
 return r;}

extern OBJ _AInterOpalAccess_18(OBJ x1,OBJ x2) /* struct,1 */
{OBJ r;
 {OBJ x4=FLD1(x2,2);
  if(EXPRD(x2,1)){
   FREE(FLD1(x2,3),1);DSPRDF(x2);
  }else{
   COPY(x4,1);
   FRPRD(x2,1);}
  {OBJ x6;
   x6=x4;
   {OBJ x8=FLD1(x1,2);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     COPY(x8,1);
     FRPRD(x1,1);}
    CPCLS(__AInterOpal_314,1);
    r=_AMap_16(__AInterOpal_314,x8,x6);}}}
 return r;}

extern OBJ _AInterOpalAccess_19(OBJ x1) /* objects */
{OBJ r;
 {OBJ x7=FLD1(x1,6);
  if(EXPRD(x1,1)){
   FLD1(x1,6)=NIL;DSPRD(x1);
  }else{
   COPY(x7,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_310,1);
  {OBJ x10;
   x10=x7;
   r=_AMap_22(__AInterOpal_310,x10);}}
 return r;}

extern OBJ _AInterOpalAccess_20(OBJ x1) /* objects,1 */
{OBJ r;
 {OBJ x14=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x14,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x15;
   x15=_AMap_16(__AInterOpal_314,x14,__AInterOpal_27);
   {OBJ x21=FLD1(x15,6);
    if(EXPRD(x15,1)){
     FLD1(x15,6)=NIL;DSPRD(x15);
    }else{
     COPY(x21,1);
     FRPRD(x15,1);}
    CPCLS(__AInterOpal_310,1);
    r=_AMap_22(__AInterOpal_310,x21);}}}
 return r;}

extern OBJ _AInterOpalAccess_21(OBJ x1,OBJ x2) /* object */
{OBJ r;
 CPPRD(x2,1);
 {OBJ x3;
  x3=_AInterOpalAccess_18(x1,x2);
  {OBJ x4=FLD1(x2,1);
   if(EXPRD(x2,1)){
    DSPRD(x2);
   }else{
    FRPRD(x2,1);}
   {OBJ x7;
    x7=x4;
    {OBJ x13=FLD1(x3,6);
     if(EXPRD(x3,1)){
      FLD1(x3,6)=NIL;DSPRD(x3);
     }else{
      COPY(x13,1);
      FRPRD(x3,1);}
     CPCLS(__AInterOpal_310,1);
     r=_AMap_16(__AInterOpal_310,x13,x7);}}}}
 return r;}

extern OBJ _AInterOpalAccess_22(OBJ x1) /* laws */
{OBJ r;
 {OBJ x8=FLD1(x1,7);
  if(EXPRD(x1,1)){
   FLD1(x1,7)=NIL;DSPRD(x1);
  }else{
   COPY(x8,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_271,1);
  CPCLS(__AInterOpal_310,1);
  {OBJ x10;OBJ x11;
   x10=x8;
   x11=_AMap_22(__AInterOpal_310,x10);
   r=_ASeqFilter_2(__AInterOpal_271,x11);}}
 return r;}

extern OBJ _AInterOpalAccess_23(OBJ x1) /* laws,1 */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x4;OBJ x5;
   x4=x3;
   x5=_AMap_16(__AInterOpal_314,x4,__AInterOpal_27);
   r=_AInterOpalAccess_22(x5);}}
 return r;}

extern OBJ _AInterOpalAccess_24(OBJ x1) /* freeTypes */
{OBJ r;
 {OBJ x8=FLD1(x1,7);
  if(EXPRD(x1,1)){
   FLD1(x1,7)=NIL;DSPRD(x1);
  }else{
   COPY(x8,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_278,1);
  CPCLS(__AInterOpal_310,1);
  {OBJ x10;OBJ x11;
   x10=x8;
   x11=_AMap_22(__AInterOpal_310,x10);
   r=_ASeqFilter_2(__AInterOpal_278,x11);}}
 return r;}

extern OBJ _AInterOpalAccess_25(OBJ x1,OBJ x2) /* freeType */
{OBJ r;
 CPPRD(x1,1);
 {OBJ x12;
  x12=_AInterOpalAccess_24(x1);
  {OBJ x4=FLD1(x1,2);
   if(EXPRD(x1,1)){
    FLD1(x1,2)=NIL;DSPRD(x1);
   }else{
    COPY(x4,1);
    FRPRD(x1,1);}
   {OBJ x11;OBJ x13;
    x11=x4;
    x13=_AInterOpalAccess_89(x11,x12,x2);
    if(ISPRM(x13)){
     HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
    }else{
     {OBJ x14=FLD1(x13,1);
      if(EXPRD(x13,1)){
       r=x14;
       FREE(FLD1(x13,2),1);DSPRDF(x13);
      }else{
       CPPRD(x14,1);
       r=x14;
       FRPRD(x13,1);}}}}}}
 return r;}

extern OBJ _AInterOpalAccess_26(OBJ x1,OBJ x2) /* variant */
{OBJ r;
 {OBJ x3;OBJ x4;
  x3=_AInterOpalAccess_24(x1);
  x4=_AInterOpalAccess_92(x3,x2);
  if(ISPRM(x4)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x5=FLD1(x4,1);
    if(EXPRD(x4,1)){
     r=x5;
     FREE(FLD1(x4,2),1);DSPRDF(x4);
    }else{
     CPPRD(x5,1);
     r=x5;
     FRPRD(x4,1);}}}}
 return r;}

extern OBJ _AInterOpalAccess_27(OBJ x1,OBJ x2) /* fct */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x16=FLD1(x3,4);
   if(EXPRD(x3,1)){
    FLD1(x3,4)=NIL;DSPRD(x3);
   }else{
    COPY(x16,1);
    FRPRD(x3,1);}
   if(ISPRD(x16)&&(ISTGPRD(x16,1))){
    {OBJ x20=FLD(x16,1);
     if(EXPRD(x16,1)){
      r=x20;
      DSPRDF(x16);
     }else{
      CPPRD(x20,1);
      r=x20;
      FRPRD(x16,1);}}
   }else{
    HLT("InterOpal at <unknown> : undefined selection fct\'InterOpal:kind->fct");}}}
 return r;}

extern OBJ _AInterOpalAccess_28(OBJ x1,OBJ x2) /* kind */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x7=FLD1(x3,4);
   if(EXPRD(x3,1)){
    r=x7;
    FLD1(x3,4)=NIL;DSPRD(x3);
   }else{
    COPY(x7,1);
    r=x7;
    FRPRD(x3,1);}}}
 return r;}

extern OBJ _AInterOpalAccess_29(OBJ x1,OBJ x2) /* origInst */
{OBJ r;
 {OBJ x29=FLD1(x2,3);
  COPY(x29,1);
  if(ISPRM(x29)&&(ISTGPRM(x29,0))){
   FRPRD(x1,1);
   if(EXPRD(x2,1)){
    DSPRD(x2);
   }else{
    DCPRD(x2,1);}
   r=__ASeq_6;
  }else{
   {OBJ x30;
    x30=_AInterOpalAccess_18(x1,x2);
    {OBJ x34=FLD1(x30,4);
     if(EXPRD(x30,1)){
      FLD1(x30,4)=NIL;DSPRD(x30);
     }else{
      COPY(x34,1);
      FRPRD(x30,1);}
     CPCLS(__AInterOpal_315,1);
     r=_AMap_16(__AInterOpal_315,x34,x29);}}}}
 return r;}

extern OBJ _AInterOpalAccess_30(OBJ x1,OBJ x2) /* instFct */
{OBJ r;
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x3;
  x3=_AInterOpalAccess_27(x1,x2);
  {OBJ x39=FLD1(x2,3);
   COPY(x39,1);
   if(ISPRD(x39)){
    if(EXPRD(x39,1)){
     DSPRDF(x39);
    }else{
     DCPRD(x39,1);}
    CPPRD(x1,2);
    CPPRD(x2,2);
    {OBJ x41;OBJ x42;
     x41=_AInterOpalAccess_29(x1,x2);
     x42=_AInterOpalAccess_18(x1,x2);
     {OBJ x46=FLD1(x42,4);
      if(EXPRD(x42,1)){
       FLD1(x42,4)=NIL;DSPRD(x42);
      }else{
       COPY(x46,1);
       FRPRD(x42,1);}
      CPCLS(__AInterOpal_309,1);
      CPCLS(__AInterOpal_315,1);
      CPPRD(__APair_2,1);
      {OBJ x51;OBJ x52;OBJ x53;
       x51=_AMap_16(__AInterOpal_315,x46,__AInterOpal_19);
       x52=_ASeqZip_4(__APair_2,x51,x41);
       x53=_AMapConv_5(__AInterOpal_309,x52);
       r=_AInterOpalAccess_47(x1,x2,x53,x3);}}}
   }else{
    r=x3;
    FRPRD(x1,1);
    if(EXPRD(x2,1)){
     DSPRD(x2);
    }else{
     DCPRD(x2,1);}
    FREE(x39,1);}}}
 return r;}

extern OBJ _AInterOpalAccess_31(OBJ x1) /* bestPos */
{OBJ r;
 {OBJ x2=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   COPY(x2,1);
   FRPRD(x1,1);}
  {OBJ x9;
   x9=x2;
   r=_AInterOpalAccess_50(x9,__AInterOpal_57);}}
 return r;}

extern OBJ _AInterOpalAccess_32(OBJ x1) /* formParams */
{OBJ r;
 {OBJ x22=FLD1(x1,4);
  if(EXPRD(x1,1)){
   COPY(x22,1);
   FLD1(x1,4)=NIL;DSPRD(x1);
  }else{
   COPY(x22,2);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_315,1);
  {OBJ x27;
   x27=_AMap_20(__AInterOpal_315,__AInterOpal_19,x22);
   if(ISTGPRM(x27,1)){
    CPCLS(__AInterOpal_315,1);
    r=_AMap_16(__AInterOpal_315,x22,__AInterOpal_19);
   }else{
    FREE(x22,1);
    r=__ASeq_6;}}}
 return r;}

extern OBJ _AInterOpalAccess_33(OBJ x1) /* formParams,1 */
{OBJ r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x4;OBJ x5;
   x4=x3;
   x5=_AMap_16(__AInterOpal_314,x4,__AInterOpal_27);
   r=_AInterOpalAccess_32(x5);}}
 return r;}

extern TUP2 _AInterOpalAccess_34(OBJ x1) /* typeOpParams */
{TUP2 r;
 CPPRD(x1,1);
 {OBJ x11;
  x11=_AInterOpalAccess_32(x1);
  {OBJ x7=FLD1(x1,6);
   if(EXPRD(x1,1)){
    FLD1(x1,6)=NIL;DSPRD(x1);
   }else{
    COPY(x7,1);
    FRPRD(x1,1);}
   CPCLS(__AInterOpalAccess_100,1);
   CPCLS(__AInterOpalAccess_101,1);
   {OBJ x10;OBJ x12;OBJ x13;TUP2 x16;
    x10=x7;
    COPY(x10,1);
    x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_100,1))(__AInterOpalAccess_100,x10);
    x13=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_101,1))(__AInterOpalAccess_101,x10);
    x16=_ASeqFilter_5(x12,x11);r.c1=x16.c1;
    r.c2=_ASeqFilter_2(x13,x16.c2);}}}
 return r;}
extern OBJ _AInterOpalAccess_34_c(OBJ x1) /* typeOpParams */
{OBJ r;
 {TUP2 t=_AInterOpalAccess_34(x1);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP2 _AInterOpalAccess_35(OBJ x1) /* typeOpParams,1 */
{TUP2 r;
 {OBJ x3=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x3,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x4;OBJ x5;
   x4=x3;
   x5=_AMap_16(__AInterOpal_314,x4,__AInterOpal_27);
   r=_AInterOpalAccess_34(x5);}}
 return r;}
extern OBJ _AInterOpalAccess_35_c(OBJ x1) /* typeOpParams,1 */
{OBJ r;
 {TUP2 t=_AInterOpalAccess_35(x1);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern OBJ _AInterOpalAccess_36(OBJ x1,OBJ x2) /* paramNo */
{OBJ r;
 CPPRD(x2,1);
 {OBJ x3;
  x3=_AInterOpalAccess_18(x1,x2);
  {OBJ x4=FLD1(x2,1);
   if(EXPRD(x2,1)){
    DSPRD(x2);
   }else{
    FRPRD(x2,1);}
   {OBJ x7;
    x7=x4;
    r=_AInterOpalAccess_82(x3,x7);}}}
 return r;}

extern OBJ _AInterOpalAccess_37(OBJ x1) /* symbol */
{OBJ r;
 {OBJ x14=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x14,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x15;
   x15=_AMap_16(__AInterOpal_314,x14,__AInterOpal_27);
   {OBJ x18=FLD1(x15,3);
    if(EXPRD(x15,1)){
     r=x18;
     FLD1(x15,3)=NIL;DSPRD(x15);
    }else{
     CPPRD(x18,1);
     r=x18;
     FRPRD(x15,1);}}}}
 return r;}

extern OBJ _AInterOpalAccess_38(OBJ x1,OBJ x2) /* symbol,1 */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x6=FLD1(x3,3);
   if(EXPRD(x3,1)){
    r=x6;
    FLD1(x3,3)=NIL;DSPRD(x3);
   }else{
    CPPRD(x6,1);
    r=x6;
    FRPRD(x3,1);}}}
 return r;}

extern OBJ _AInterOpalAccess_39(OBJ x1,OBJ x2) /* printFct */
{OBJ r;
 CPPRD(x1,3);
 CPPRD(x2,2);
 {OBJ x3;OBJ x4;OBJ x5;
  x3=_AInterOpalAccess_21(x1,x2);
  x4=_AInterOpalAccess_18(x1,x2);
  x5=_AInterOpalAccess_30(x1,x2);
  {OBJ x30=FLD1(x3,3);
   if(EXPRD(x3,1)){
    FLD1(x3,3)=NIL;DSPRD(x3);
   }else{
    CPPRD(x30,1);
    FRPRD(x3,1);}
   {OBJ x37=FLD1(x4,3);
    if(EXPRD(x4,1)){
     FLD1(x4,3)=NIL;DSPRD(x4);
    }else{
     CPPRD(x37,1);
     FRPRD(x4,1);}
    CPCLS(__AInterOpalAccess_109,1);
    CPPRD(__AInterOpalAccess_110,1);
    CPPRD(__AInterOpalAccess_111,1);
    {OBJ x43;OBJ x44;OBJ x45;OBJ x46;OBJ x47;OBJ x48;
     x43=x37;
     x44=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_109,1))(__AInterOpalAccess_109,x1);
     x45=_AInterOpalAccess_45(x44,__ABUILTIN_3,x5);
     ADenotation_4(__AInterOpalAccess_110,x45,x46);
     ADenotation_4(x43,x46,x47);
     ADenotation_4(__AInterOpalAccess_111,x47,x48);
     ADenotation_4(x30,x48,r);}}}}
 return r;}

extern OBJ _AInterOpalAccess_40(OBJ x1,OBJ x2) /* = */
{OBJ r;
 if(ISPRM(x1)){
  if(ISTGPRM(x1,1)){
   if(ISPRM(x2)&&(ISTGPRM(x2,1))){
    r=__ABUILTIN_5;
   }else{
    FREE(x2,1);
    r=__ABUILTIN_3;}
  }else{
   if(ISPRM(x2)&&(ISTGPRM(x2,0))){
    r=__ABUILTIN_5;
   }else{
    FREE(x2,1);
    r=__ABUILTIN_3;}}
 }else{
  {OBJ x22=FLD1(x1,1);
   if(EXPRD(x1,1)){
    DSPRDF(x1);
   }else{
    FRPRD(x1,1);}
   if(ISPRD(x2)){
    {OBJ x23=FLD1(x2,1);
     if(EXPRD(x2,1)){
      DSPRDF(x2);
     }else{
      FRPRD(x2,1);}
     ANat_76(x22,x23,r);}
   }else{
    FREE(x2,1);
    r=__ABUILTIN_3;}}}
 return r;}

extern OBJ _AInterOpalAccess_41(OBJ x1,OBJ x2) /* =,1 */
{OBJ r;
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x3;
  x3=_AInterOpal_309(x1,x2);
  if(ISTGPRM(x3,1)){
   FRPRD(x1,1);
   FRPRD(x2,1);
   r=__ABUILTIN_3;
  }else{
   {OBJ x6;
    x6=_AInterOpal_309(x2,x1);
    if(ISTGPRM(x6,1)){
     r=__ABUILTIN_3;
    }else{
     r=__ABUILTIN_5;}}}}
 return r;}

extern OBJ _AInterOpalAccess_42(OBJ x1) /* asDeno */
{OBJ r;
 if(ISPRM(x1)){
  CPPRD(__AInterOpalAccess_112,1);
  r=__AInterOpalAccess_112;
 }else{
  switch(TGPRD(x1)){
   case 2:
    {OBJ x173=FLD(x1,2);OBJ x174=FLD(x1,3);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      FRPRD(x1,1);}
     CPPRD(__ASeqConv_8,1);
     {OBJ x176;OBJ x177;OBJ x178;
      ANatConv_1(x173,x176);
      ANatConv_1(x174,x177);
      ADenotation_4(__ASeqConv_8,x177,x178);
      ADenotation_4(x176,x178,r);}}break;
   case 3:
    {OBJ x180=FLD(x1,2);OBJ x181=FLD(x1,3);OBJ x182=FLD(x1,4);OBJ x183=FLD(x1,5);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      FRPRD(x1,1);}
     {OBJ x184;OBJ x185;OBJ x186;
      ANatConv_1(x180,x184);
      ANatConv_1(x181,x185);
      ANat_76(x180,x182,x186);
      if(ISTGPRM(x186,1)){
       {OBJ x187;
	ANat_76(x181,x183,x187);
	if(ISTGPRM(x187,1)){
	 CPPRD(__ASeqConv_8,1);
	 {OBJ x188;
	  ADenotation_4(__ASeqConv_8,x185,x188);
	  ADenotation_4(x184,x188,r);}
	}else{
	 CPPRD(__AInterOpalAccess_113,1);
	 CPPRD(__ASeqConv_8,1);
	 {OBJ x189;OBJ x190;OBJ x191;OBJ x192;
	  ANatConv_1(x183,x189);
	  ADenotation_4(__AInterOpalAccess_113,x189,x190);
	  ADenotation_4(x185,x190,x191);
	  ADenotation_4(__ASeqConv_8,x191,x192);
	  ADenotation_4(x184,x192,r);}}}
      }else{
       CPPRD(__AInterOpalAccess_113,1);
       CPPRD(__ASeqConv_8,2);
       {OBJ x193;OBJ x194;OBJ x195;OBJ x196;OBJ x197;OBJ x198;OBJ x199;
	ANatConv_1(x183,x193);
	ANatConv_1(x182,x194);
	ADenotation_4(__ASeqConv_8,x193,x195);
	ADenotation_4(x194,x195,x196);
	ADenotation_4(__AInterOpalAccess_113,x196,x197);
	ADenotation_4(x185,x197,x198);
	ADenotation_4(__ASeqConv_8,x198,x199);
	ADenotation_4(x184,x199,r);}}}}break;
   default: 
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     DCPRD(x1,1);}
    CPPRD(__AInterOpalAccess_112,1);
    r=__AInterOpalAccess_112;}}
 return r;}

extern OBJ _AInterOpalAccess_45(OBJ x1,OBJ x2,OBJ x3) /* ` */
{OBJ r;
 switch(TGPRD(x3)){
  case 2:
   {OBJ x122=FLD(x3,1);OBJ x123=FLD(x3,2);
    if(EXPRD(x3,1)){
     DSPRDF(x3);
    }else{
     CPPRD(x122,1);CPPRD(x123,1);
     FRPRD(x3,1);}
    if(ISTGPRM(x2,1)){
     {OBJ x128;OBJ x125;OBJ x130;OBJ x129;OBJ x131;OBJ x132;
      if(ISTGPRD(x122,2)){
       CPCLS(x1,1);
       CPPRD(__AInterOpalAccess_104,1);
       CPPRD(__AInterOpalAccess_106,1);
       CPPRD(__AInterOpalAccess_108,1);
       x128=__ABUILTIN_5;
      }else{
       CPCLS(x1,1);
       CPPRD(__AInterOpalAccess_104,1);
       CPPRD(__AInterOpalAccess_106,1);
       CPPRD(__AInterOpalAccess_108,1);
       x128=__ABUILTIN_3;}
      x125=_AInterOpalAccess_45(x1,__ABUILTIN_3,x123);
      ADenotation_4(x125,__AInterOpalAccess_106,x130);
      x129=_AInterOpalAccess_45(x1,x128,x122);
      ADenotation_4(__AInterOpalAccess_108,x130,x131);
      ADenotation_4(x129,x131,x132);
      ADenotation_4(__AInterOpalAccess_104,x132,r);}
    }else{
     {OBJ x137;OBJ x134;OBJ x139;OBJ x138;OBJ x140;OBJ x141;
      if(ISTGPRD(x122,2)){
       CPCLS(x1,1);
       CPPRD(__AInterOpalAccess_105,2);
       CPPRD(__AInterOpalAccess_108,1);
       x137=__ABUILTIN_5;
      }else{
       CPCLS(x1,1);
       CPPRD(__AInterOpalAccess_105,2);
       CPPRD(__AInterOpalAccess_108,1);
       x137=__ABUILTIN_3;}
      x134=_AInterOpalAccess_45(x1,__ABUILTIN_3,x123);
      ADenotation_4(x134,__AInterOpalAccess_105,x139);
      x138=_AInterOpalAccess_45(x1,x137,x122);
      ADenotation_4(__AInterOpalAccess_108,x139,x140);
      ADenotation_4(x138,x140,x141);
      ADenotation_4(__AInterOpalAccess_105,x141,r);}}}break;
  case 0:
   {OBJ x142=FLD(x3,1);
    if(EXPRD(x3,1)){
     DSPRDF(x3);
    }else{
     CPPRD(x142,1);
     FRPRD(x3,1);}
    r=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x142);}break;
  default: 
   {OBJ x112=FLD(x3,1);
    if(EXPRD(x3,1)){
     DSPRDF(x3);
    }else{
     COPY(x112,1);
     FRPRD(x3,1);}
    if(ISPRM(x112)){
     FRCLS(x1,1);
     CPPRD(__AInterOpalAccess_103,1);
     r=__AInterOpalAccess_103;
    }else{
     CPCLS(__AInterOpalAccess_45,1);
     {OBJ x115;
      x115=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AInterOpalAccess_45,2))(__AInterOpalAccess_45,x1,__ABUILTIN_5);
      if(ISTGPRM(x2,1)){
       CPPRD(__AInterOpalAccess_104,1);
       CPPRD(__AInterOpalAccess_105,2);
       CPPRD(__AInterOpalAccess_106,1);
       CPPRD(__AInterOpalAccess_107,1);
       {OBJ x117;OBJ x118;
	x117=_ASeqConv_3(__AInterOpalAccess_105,__AInterOpalAccess_107,__AInterOpalAccess_105,x115,x112);
	ADenotation_4(x117,__AInterOpalAccess_106,x118);
	ADenotation_4(__AInterOpalAccess_104,x118,r);}
      }else{
       CPPRD(__AInterOpalAccess_105,4);
       CPPRD(__AInterOpalAccess_107,1);
       {OBJ x120;OBJ x121;
	x120=_ASeqConv_3(__AInterOpalAccess_105,__AInterOpalAccess_107,__AInterOpalAccess_105,x115,x112);
	ADenotation_4(x120,__AInterOpalAccess_105,x121);
	ADenotation_4(__AInterOpalAccess_105,x121,r);}}}}}}
 return r;}

extern OBJ _AInterOpalAccess_47(register OBJ x1,register OBJ x2,register OBJ x3,register OBJ x4) /* subst */
{OBJ r;OBJ* p1=&r;
 for(;;){
  switch(TGPRD(x4)){
   case 2:
    {OBJ x44=FLD(x4,1);OBJ x45=FLD(x4,2);
     if(EXPRD(x4,1)){
      CPPRD(x1,1);
      CPPRD(x2,1);
      COPY(x3,1);
      {OBJ x47;
       x47=_AInterOpalAccess_47(x1,x2,x3,x44);
       RPRD(x4,*p1);FLD(*p1,1)=x47;
       x4=x45;p1=&FLD(*p1,2);continue;}
     }else{
      CPPRD(x44,1);CPPRD(x45,1);
      CPPRD(x1,1);
      CPPRD(x2,1);
      COPY(x3,1);
      {OBJ x47;
       x47=_AInterOpalAccess_47(x1,x2,x3,x44);
       FRPRD(x4,1);PRD(2,2,*p1);FLD(*p1,1)=x47;
       x4=x45;p1=&FLD(*p1,2);continue;}}}break;
   case 0:
    {OBJ x48=FLD(x4,1);
     if(EXPRD(x4,1)){
      {
       RPRD(x4,*p1);
       FLD(*p1,1)=_AInterOpalAccess_48(x1,x2,x3,x48);}
     }else{
      CPPRD(x48,1);
      {
       FRPRD(x4,1);PRD(1,0,*p1);
       FLD(*p1,1)=_AInterOpalAccess_48(x1,x2,x3,x48);}}}break;
   default: 
    {OBJ x41=FLD(x4,1);
     if(EXPRD(x4,1)){
      CPCLS(__AInterOpalAccess_98,1);
      {OBJ x42;
       x42=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AInterOpalAccess_98,3))(__AInterOpalAccess_98,x1,x2,x3);
       RPRD(x4,*p1);
       FLD(*p1,1)=_ASeqMap_3(x42,x41);}
     }else{
      COPY(x41,1);
      CPCLS(__AInterOpalAccess_98,1);
      {OBJ x42;
       x42=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AInterOpalAccess_98,3))(__AInterOpalAccess_98,x1,x2,x3);
       FRPRD(x4,1);PRD(1,1,*p1);
       FLD(*p1,1)=_ASeqMap_3(x42,x41);}}}}
  break;}
 return r;}

extern OBJ _AInterOpalAccess_48(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* subst,1 */
{OBJ r;
 FRPRD(x1,1);
 {OBJ x24=FLD1(x2,2);OBJ x25=FLD1(x2,3);FLAG x_x2=EXPRD(x2,1);
  if(x_x2){
  }else{
   COPY(x24,1);COPY(x25,1);}
  {OBJ x36=FLD1(x4,1);OBJ x37=FLD1(x4,2);
   COPY(x37,2);
   {OBJ x39;
    x39=_AInterOpalAccess_40(x24,x37);
    if(ISTGPRM(x39,1)){
     COPY(x3,1);
     CPPRD(x4,1);
     CPCLS(__AInterOpal_309,1);
     {OBJ x40;
      x40=_AMap_20(__AInterOpal_309,x4,x3);
      if(ISTGPRM(x40,1)){
       if(x_x2){
	DSPRDF(x2);
       }else{
	FRPRD(x2,1);}
       FREE(x25,1);
       FREE(x37,1);
       CPCLS(__AInterOpal_309,1);
       r=_AMap_16(__AInterOpal_309,x3,x4);
      }else{
       FREE(x3,1);
       if(EXPRD(x4,1)){
	DSPRD(x4);
       }else{
	DCPRD(x4,1);}
       if(x_x2){
	RSOME(x2,r);FLD1(r,1)=x36;FLD1(r,2)=x37;
       }else{
	FRPRD(x2,1);PRD1(3,r);FLD1(r,1)=x36;FLD1(r,2)=x37;FLD1(r,3)=x25;}}}
    }else{
     if(x_x2){
      DSPRDF(x2);
     }else{
      FRPRD(x2,1);}
     FREE(x3,1);
     FREE(x25,1);
     FREE(x37,1);
     r=x4;}}}}
 return r;}

extern OBJ _AInterOpalAccess_50(register OBJ x1,register OBJ x2) /* bestPos,1 */
{OBJ r;
 for(;;){
  if(ISPRM(x1)){
   r=x2;
  }else{
   {OBJ x21=FLD1(x1,1);OBJ x22=FLD1(x1,2);
    if(EXPRD(x1,1)){
     COPY(x21,1);
     DSPRDF(x1);
    }else{
     COPY(x21,2);COPY(x22,1);
     FRPRD(x1,1);}
    COPY(x2,1);
    {OBJ x24;
     x24=_AInterOpalAccess_51(x2,x21);
     if(ISTGPRM(x24,1)){
      FREE(x2,1);
      x1=x22;x2=x21;continue;
     }else{
      FREE(x21,1);
      x1=x22;continue;}}}}
  break;}
 return r;}

extern OBJ _AInterOpalAccess_51(register OBJ x1,register OBJ x2) /* <= */
{OBJ r;
 for(;;){
  if(ISPRM(x1)){
   FREE(x2,1);
   r=__ABUILTIN_5;
  }else{
   switch(TGPRD(x1)){
    case 2:
     {OBJ x318=FLD(x1,2);OBJ x319=FLD(x1,3);
      if(EXPRD(x1,1)){
       DSPRDF(x1);
      }else{
       FRPRD(x1,1);}
      if(ISPRM(x2)){
       r=__ABUILTIN_3;
      }else{
       switch(TGPRD(x2)){
	case 2:
	 {OBJ x322=FLD(x2,2);OBJ x323=FLD(x2,3);
	  if(EXPRD(x2,1)){
	   DSPRDF(x2);
	  }else{
	   FRPRD(x2,1);}
	  {OBJ x326;
	   ANat_80(x318,x322,x326);
	   if(ISTGPRM(x326,1)){
	    r=__ABUILTIN_5;
	   }else{
	    {OBJ x327;
	     ANat_76(x318,x322,x327);
	     if(ISTGPRM(x327,1)){
	      ANat_78(x319,x323,r);
	     }else{
	      r=__ABUILTIN_3;}}}}}break;
	case 3:
	 if(EXPRD(x2,1)){
	  DSPRDF(x2);
	 }else{
	  DCPRD(x2,1);}
	 r=__ABUILTIN_5;break;
	default: 
	 if(EXPRD(x2,1)){
	  DSPRDF(x2);
	 }else{
	  DCPRD(x2,1);}
	 r=__ABUILTIN_3;}}}break;
    case 3:
     {OBJ x334=FLD(x1,2);OBJ x335=FLD(x1,3);
      if(ISPRD(x2)&&(ISTGPRD(x2,3))){
       {OBJ x339=FLD(x2,2);OBJ x340=FLD(x2,3);
	{OBJ x344;OBJ x345;OBJ x347;OBJ x348;
	 x344=_AInterOpal_48(x1);
	 x345=_AInterOpal_48(x2);
	 PRDF(3,2,x347);FLD(x347,1)=x345;FLD(x347,2)=x339;FLD(x347,3)=x340;
	 PRDF(3,2,x348);FLD(x348,1)=x344;FLD(x348,2)=x334;FLD(x348,3)=x335;
	 x1=x348;x2=x347;continue;}}
      }else{
       if(EXPRD(x1,1)){
	DSPRDF(x1);
       }else{
	DCPRD(x1,1);}
       FREE(x2,1);
       r=__ABUILTIN_3;}}break;
    default: 
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      DCPRD(x1,1);}
     if(ISPRM(x2)){
      r=__ABUILTIN_3;
     }else{
      FREE(x2,1);
      r=__ABUILTIN_5;}}}
  break;}
 return r;}

extern OBJ _AInterOpalAccess_60(OBJ x1) /* fctOrAny? */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_3;
 }else{
  if(ISTGPRD(x1,1)){
   if(EXPRD(x1,1)){
    FRPRD(FLD(x1,1),1);DSPRDF(x1);
   }else{
    DCPRD(x1,1);}
   r=__ABUILTIN_5;
  }else{
   {OBJ x13=FLD(x1,1);
    if(EXPRD(x1,1)){
     FRPRD(FLD(x1,2),1);DSPRDF(x1);
    }else{
     CPPRD(x13,1);
     FRPRD(x1,1);}
    CPPRD(__AInterOpalAccess_99,1);
    ADenotation_21(x13,__AInterOpalAccess_99,r);}}}
 return r;}

extern OBJ _AInterOpalAccess_72(OBJ x1,OBJ x2) /* objects,2 */
{OBJ r;
 {OBJ x4=FLD1(x1,2);
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   COPY(x4,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_314,1);
  {OBJ x5;OBJ x6;
   x5=x4;
   x6=_AMap_16(__AInterOpal_314,x5,x2);
   {OBJ x12=FLD1(x6,6);
    if(EXPRD(x6,1)){
     FLD1(x6,6)=NIL;DSPRD(x6);
    }else{
     COPY(x12,1);
     FRPRD(x6,1);}
    CPCLS(__AInterOpal_310,1);
    r=_AMap_22(__AInterOpal_310,x12);}}}
 return r;}

extern OBJ _AInterOpalAccess_74(OBJ x1,OBJ x2) /* object,1 */
{OBJ r;
 {OBJ x8=FLD1(x1,6);
  if(EXPRD(x1,1)){
   FLD1(x1,6)=NIL;DSPRD(x1);
  }else{
   COPY(x8,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_310,1);
  {OBJ x11;
   x11=x8;
   r=_AMap_16(__AInterOpal_310,x11,x2);}}
 return r;}

extern OBJ _AInterOpalAccess_78(OBJ x1) /* formals */
{OBJ r;
 {OBJ x5=FLD1(x1,4);
  if(EXPRD(x1,1)){
   FLD1(x1,4)=NIL;DSPRD(x1);
  }else{
   COPY(x5,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpal_315,1);
  {OBJ x10;
   x10=x5;
   r=_AMap_16(__AInterOpal_315,x10,__AInterOpal_19);}}
 return r;}

extern OBJ _AInterOpalAccess_79(OBJ x1,OBJ x2) /* param?,4 */
{OBJ r;
 {OBJ x17=FLD1(x1,4);
  COPY(x17,1);
  CPCLS(__AInterOpal_315,1);
  {OBJ x22;
   x22=_AMap_20(__AInterOpal_315,__AInterOpal_19,x17);
   if(ISTGPRM(x22,1)){
    CPCLS(__AInterOpalAccess_93,1);
    {OBJ x23;OBJ x24;
     x23=_AInterOpalAccess_32(x1);
     x24=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_93,1))(__AInterOpalAccess_93,x2);
     r=_ASeq_40(x24,x23);}
   }else{
    if(EXPRD(x1,1)){
     DSPRD(x1);
    }else{
     DCPRD(x1,1);}
    r=__ABUILTIN_3;}}}
 return r;}

extern OBJ _AInterOpalAccess_82(OBJ x1,OBJ x2) /* paramNo,1 */
{OBJ r;
 {OBJ x6=FLD1(x1,4);
  if(EXPRD(x1,1)){
   FLD1(x1,4)=NIL;DSPRD(x1);
  }else{
   COPY(x6,1);
   FRPRD(x1,1);}
  CPCLS(__AInterOpalAccess_102,1);
  CPCLS(__AInterOpal_315,1);
  {OBJ x11;OBJ x12;OBJ x13;OBJ x14;
   x11=_AMap_16(__AInterOpal_315,x6,__AInterOpal_19);
   x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_102,1))(__AInterOpalAccess_102,x2);
   x13=_ASeqFilter_6(x12,x11);
   x14=_ASeq_52(x13,__ANat_5);
   ANat_2(x14,r);}}
 return r;}

extern OBJ _AInterOpalAccess_86(OBJ x1,OBJ x2) /* =,2 */
{OBJ r;
 ANat_76(x1,x2,r);
 return r;}

extern OBJ _AInterOpalAccess_89(OBJ x1,OBJ x2,OBJ x3) /* freeTypes,1 */
{OBJ r;
 {OBJ x34=FLD1(x3,2);OBJ x36=FLD1(x3,4);OBJ x38=FLD1(x3,6);
  if(EXPRD(x3,1)){
   FLD1(x3,4)=NIL;FLD1(x3,6)=NIL;DSPRD(x3);
  }else{
   COPY(x36,1);COPY(x38,1);
   FRPRD(x3,1);}
  {OBJ x40;OBJ x43;
   if(ISPRM(x36)){
    x40=__ABUILTIN_5;
   }else{
    FREE(x36,1);
    x40=__ABUILTIN_3;}
   if(ISTGPRM(x40,1)){
    if(ISPRM(x38)){
     x43=__ABUILTIN_3;
    }else{
     if(EXPRD(x38,1)){
      FREE(FLD1(x38,2),1);DSPRDF(x38);
     }else{
      DCPRD(x38,1);}
     x43=__ABUILTIN_5;}
   }else{
    FREE(x38,1);
    x43=__ABUILTIN_3;}
   if(ISTGPRM(x43,1)){
    CPCLS(__AInterOpalAccess_94,1);
    {OBJ x44;
     x44=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AInterOpalAccess_94,2))(__AInterOpalAccess_94,x1,x34);
     r=_ASeqFilter_2(x44,x2);}
   }else{
    FREE(x1,1);
    FREE(x2,1);
    r=__ASeq_6;}}}
 return r;}

extern OBJ _AInterOpalAccess_92(OBJ x1,OBJ x2) /* constructors */
{OBJ r;
 {OBJ x88=FLD1(x2,2);OBJ x90=FLD1(x2,4);
  if(EXPRD(x2,1)){
   FLD1(x2,4)=NIL;DSPRD(x2);
  }else{
   COPY(x90,1);
   FRPRD(x2,1);}
  if(ISPRM(x90)){
   FREE(x1,1);
   r=__ASeq_6;
  }else{
   if(ISTGPRD(x90,2)){
    if(EXPRD(x90,1)){
     DSPRD(x90);
    }else{
     DCPRD(x90,1);}
    FREE(x1,1);
    r=__ASeq_6;
   }else{
    {OBJ x96=FLD(x90,1);
     if(EXPRD(x90,1)){
      DSPRDF(x90);
     }else{
      CPPRD(x96,1);
      FRPRD(x90,1);}
     {OBJ x99;OBJ x102;
      if(ISTGPRD(x96,2)){
       x99=__ABUILTIN_5;
      }else{
       x99=__ABUILTIN_3;}
      if(ISTGPRM(x99,1)){
       if(ISTGPRD(x96,2)){
	{OBJ x101=FLD(x96,2);
	 if(EXPRD(x96,1)){
	  x102=x101;
	  FRPRD(FLD(x96,1),1);DSPRDF(x96);
	 }else{
	  CPPRD(x101,1);
	  x102=x101;
	  FRPRD(x96,1);}}
       }else{
	HLT("InterOpal at <unknown> : undefined selection codom\'InterOpal:fct->fct");}
      }else{
       x102=x96;}
      if(ISTGPRD(x102,0)){
       CPCLS(__AInterOpalAccess_95,1);
       CPCLS(__AInterOpalAccess_96,1);
       CPCLS(__AInterOpal_280,1);
       {OBJ x104;OBJ x105;OBJ x106;OBJ x107;OBJ x108;
	x104=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_95,1))(__AInterOpalAccess_95,x88);
	x105=(*(OBJ(*)(OBJ,OBJ))METHOD(__AInterOpalAccess_96,1))(__AInterOpalAccess_96,x102);
	x106=_ASeqFilter_2(x105,x1);
	x107=_ASeqMap_3(__AInterOpal_280,x106);
	x108=_ASeqOfSeq_2(x107);
	r=_ASeqFilter_2(x104,x108);}
      }else{
       FREE(x1,1);
       FRPRD(x102,1);
       r=__ASeq_6;}}}}}}
 return r;}

extern OBJ _AInterOpalAccess_93(OBJ x1,OBJ x2) /* param?,4'93 */
{OBJ r;
 {OBJ x3=FLD1(x2,1);
  if(EXPRD(x2,1)){
   DSPRD(x2);
  }else{
   FRPRD(x2,1);}
  {OBJ x6;
   x6=x3;
   ANat_76(x6,x1,r);}}
 return r;}

extern OBJ _AInterOpalAccess_94(OBJ x1,OBJ x2,OBJ x3) /* freeTypes,1'94 */
{OBJ r;
 if(ISTGPRD(x3,0)){
  {OBJ x25=FLD(x3,3);
   if(EXPRD(x3,1)){
    FLD(x3,3)=NIL;DSPRD(x3);
   }else{
    CPPRD(x25,1);
    FRPRD(x3,1);}
   {OBJ x28=FLD1(x25,1);OBJ x29=FLD1(x25,2);
    if(EXPRD(x25,1)){
     FREE(FLD1(x25,3),1);DSPRDF(x25);
    }else{
     COPY(x29,1);
     FRPRD(x25,1);}
    {OBJ x31;
     ANat_76(x28,x2,x31);
     if(ISTGPRM(x31,1)){
      r=_AInterOpalAccess_40(x29,x1);
     }else{
      FREE(x1,1);
      FREE(x29,1);
      r=__ABUILTIN_3;}}}}
 }else{
  HLT("InterOpal at <unknown> : undefined selection sort\'InterOpal:property->name");}
 return r;}

extern OBJ _AInterOpalAccess_95(OBJ x1,OBJ x2) /* constructors'95 */
{OBJ r;
 {OBJ x13=FLD1(x2,2);
  if(EXPRD(x2,1)){
   FLD1(x2,2)=NIL;DSPRD(x2);
  }else{
   CPPRD(x13,1);
   FRPRD(x2,1);}
  {OBJ x16=FLD1(x13,1);
   if(EXPRD(x13,1)){
    DSPRD(x13);
   }else{
    FRPRD(x13,1);}
   ANat_76(x1,x16,r);}}
 return r;}

extern OBJ _AInterOpalAccess_96(OBJ x1,OBJ x2) /* constructors'96 */
{OBJ r;
 if(ISTGPRD(x2,0)){
  {OBJ x25=FLD(x2,3);
   if(EXPRD(x2,1)){
    FLD(x2,3)=NIL;DSPRD(x2);
   }else{
    CPPRD(x25,1);
    FRPRD(x2,1);}
   {OBJ x28=FLD1(x25,1);
    if(EXPRD(x25,1)){
     DSPRD(x25);
    }else{
     FRPRD(x25,1);}
    if(ISTGPRD(x1,0)){
     {OBJ x31=FLD(x1,1);
      if(EXPRD(x1,1)){
       DSPRDF(x1);
      }else{
       CPPRD(x31,1);
       FRPRD(x1,1);}
      {OBJ x32=FLD1(x31,1);
       if(EXPRD(x31,1)){
	DSPRD(x31);
       }else{
	FRPRD(x31,1);}
       ANat_76(x28,x32,r);}}
    }else{
     HLT("InterOpal at <unknown> : undefined selection sort\'InterOpal:fct->name");}}}
 }else{
  HLT("InterOpal at <unknown> : undefined selection sort\'InterOpal:property->name");}
 return r;}

extern OBJ _AInterOpalAccess_97(OBJ x1) /* transStructs'97 */
{OBJ r;
 CPCLS(__AInterOpal_25,1);
 CPCLS(__AInterOpal_293,1);
 CPCLS(__ACompose_4,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__AInterOpal_25,__AInterOpal_293);
 return r;}

extern OBJ _AInterOpalAccess_98(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* subst'98 */
{OBJ r;
 r=_AInterOpalAccess_47(x1,x2,x3,x4);
 return r;}

extern OBJ _AInterOpalAccess_100(OBJ x1,OBJ x2) /* typeOpParams'100 */
{OBJ r;
 {OBJ x3=FLD1(x2,1);
  if(EXPRD(x2,1)){
   DSPRD(x2);
  }else{
   FRPRD(x2,1);}
  CPCLS(__AInterOpal_310,1);
  {OBJ x6;OBJ x7;
   x6=x3;
   x7=_AMap_16(__AInterOpal_310,x1,x6);
   {OBJ x19=FLD1(x7,4);
    if(EXPRD(x7,1)){
     FLD1(x7,4)=NIL;DSPRD(x7);
    }else{
     COPY(x19,1);
     FRPRD(x7,1);}
    if(ISPRM(x19)){
     r=__ABUILTIN_5;
    }else{
     FREE(x19,1);
     r=__ABUILTIN_3;}}}}
 return r;}

extern OBJ _AInterOpalAccess_101(OBJ x1,OBJ x2) /* typeOpParams'101 */
{OBJ r;
 {OBJ x3=FLD1(x2,1);
  if(EXPRD(x2,1)){
   DSPRD(x2);
  }else{
   FRPRD(x2,1);}
  CPCLS(__AInterOpal_310,1);
  {OBJ x6;OBJ x7;
   x6=x3;
   x7=_AMap_16(__AInterOpal_310,x1,x6);
   {OBJ x11=FLD1(x7,4);
    if(EXPRD(x7,1)){
     FLD1(x7,4)=NIL;DSPRD(x7);
    }else{
     COPY(x11,1);
     FRPRD(x7,1);}
    {OBJ x15;
     x15=x11;
     r=_AInterOpalAccess_60(x15);}}}}
 return r;}

extern OBJ _AInterOpalAccess_102(OBJ x1,OBJ x2) /* paramNo,1'102 */
{OBJ r;
 {OBJ x3=FLD1(x2,1);
  if(EXPRD(x2,1)){
   DSPRD(x2);
  }else{
   FRPRD(x2,1);}
  {OBJ x6;OBJ x7;
   x6=x3;
   ANat_76(x6,x1,x7);
   if(ISTGPRM(x7,1)){
    r=__ABUILTIN_3;
   }else{
    r=__ABUILTIN_5;}}}
 return r;}

extern OBJ _AInterOpalAccess_109(OBJ x1,OBJ x2) /* printFct'109 */
{OBJ r;
 {OBJ x3;
  x3=_AInterOpalAccess_21(x1,x2);
  {OBJ x6=FLD1(x3,3);
   if(EXPRD(x3,1)){
    r=x6;
    FLD1(x3,3)=NIL;DSPRD(x3);
   }else{
    CPPRD(x6,1);
    r=x6;
    FRPRD(x3,1);}}}
 return r;}

static OBJ _mt_1_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 {OBJ t3;
  DCCLS(t,1);
  t3=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t3,1))(t3,t2);}
 return r;}

init_AInterOpalAccess()
{
 static int visited=0; if(visited) return; visited=1;
 init_AInterOpal();
 init_ANat();
 init_ASeq();
 init_AOption();
 init_AMap();
 init_ADyn();
 init_ASet();
 init_APair();
 init_ACompose();
 init_ADenotation();
 init_AMapConv();
 init_AMapReduce();
 init_ASeqConv();
 init_ASeqFilter();
 init_ASeqMap();
 init_ASeqOfSeq();
 init_ASeqReduce();
 init_ASeqZip();
 init_ASetConv();
 init_ANatConv();
 init_AInt();
 init_AReal();
 init_AChar();
 init_AString();
 init_ASetByBST();
 init_ABSTree();
 init_ATree();
 CLS(2,_AInterOpalAccess_95,__AInterOpalAccess_95);
 CLS(1,_AInterOpalAccess_31,__AInterOpalAccess_31);
 CLS(3,_AInterOpalAccess_94,__AInterOpalAccess_94);
 CLS(2,_AInterOpalAccess_30,__AInterOpalAccess_30);
 CLS(2,_AInterOpalAccess_93,__AInterOpalAccess_93);
 CLS(2,_AInterOpalAccess_29,__AInterOpalAccess_29);
 CLS(2,_AInterOpalAccess_92,__AInterOpalAccess_92);
 CLS(2,_AInterOpalAccess_28,__AInterOpalAccess_28);
 CLS(1,_AInterOpalAccess_60,__AInterOpalAccess_60);
 CLS(2,_AInterOpalAccess_27,__AInterOpalAccess_27);
 CLS(2,_AInterOpalAccess_26,__AInterOpalAccess_26);
 CLS(2,_AInterOpalAccess_25,__AInterOpalAccess_25);
 CLS(3,_AInterOpalAccess_89,__AInterOpalAccess_89);
 CLS(1,_AInterOpalAccess_24,__AInterOpalAccess_24);
 CLS(1,_AInterOpalAccess_23,__AInterOpalAccess_23);
 CLS(1,_AInterOpalAccess_22,__AInterOpalAccess_22);
 CLS(2,_AInterOpalAccess_86,__AInterOpalAccess_86);
 CLS(2,_AInterOpalAccess_21,__AInterOpalAccess_21);
 CLS(1,_AInterOpalAccess_20,__AInterOpalAccess_20);
 CLS(1,_AInterOpalAccess_19,__AInterOpalAccess_19);
 CLS(2,_AInterOpalAccess_51,__AInterOpalAccess_51);
 CLS(2,_AInterOpalAccess_82,__AInterOpalAccess_82);
 CLS(2,_AInterOpalAccess_18,__AInterOpalAccess_18);
 CLS(2,_AInterOpalAccess_50,__AInterOpalAccess_50);
 DEN("-",__AInterOpalAccess_113);
 CLS(2,_AInterOpalAccess_17,__AInterOpalAccess_17);
 DEN("unknown",__AInterOpalAccess_112);
 CLS(1,_AInterOpalAccess_16,__AInterOpalAccess_16);
 CLS(4,_AInterOpalAccess_48,__AInterOpalAccess_48);
 DEN("\'",__AInterOpalAccess_111);
 CLS(2,_AInterOpalAccess_79,__AInterOpalAccess_79);
 CLS(1,_AInterOpalAccess_15,__AInterOpalAccess_15);
 CLS(4,_AInterOpalAccess_47,__AInterOpalAccess_47);
 DEN(":",__AInterOpalAccess_110);
 CLS(1,_AInterOpalAccess_14,__AInterOpalAccess_14);
 CLS(1,_AInterOpalAccess_78,__AInterOpalAccess_78);
 CLS(2,_AInterOpalAccess_109,__AInterOpalAccess_109);
 CLS(2,_AInterOpalAccess_13,__AInterOpalAccess_13);
 CLS(3,_AInterOpalAccess_45,__AInterOpalAccess_45);
 DEN("->",__AInterOpalAccess_108);
 CLS(2,_AInterOpalAccess_12,__AInterOpalAccess_12);
 DEN("**",__AInterOpalAccess_107);
 CLS(1,_AInterOpalAccess_11,__AInterOpalAccess_11);
 DEN(")",__AInterOpalAccess_106);
 CLS(2,_AInterOpalAccess_74,__AInterOpalAccess_74);
 CLS(1,_AInterOpalAccess_10,__AInterOpalAccess_10);
 CLS(1,_AInterOpalAccess_42,__AInterOpalAccess_42);
 DEN("",__AInterOpalAccess_105);
 CLS(2,_AInterOpalAccess_9,__AInterOpalAccess_9);
 CLS(2,_AInterOpalAccess_41,__AInterOpalAccess_41);
 DEN("(",__AInterOpalAccess_104);
 CLS(2,_AInterOpalAccess_72,__AInterOpalAccess_72);
 CLS(2,_AInterOpalAccess_8,__AInterOpalAccess_8);
 CLS(2,_AInterOpalAccess_40,__AInterOpalAccess_40);
 DEN("()",__AInterOpalAccess_103);
 CLS(1,_AInterOpalAccess_7,__AInterOpalAccess_7);
 CLS(2,_AInterOpalAccess_39,__AInterOpalAccess_39);
 CLS(2,_AInterOpalAccess_102,__AInterOpalAccess_102);
 CLS(1,_AInterOpalAccess_6,__AInterOpalAccess_6);
 CLS(2,_AInterOpalAccess_38,__AInterOpalAccess_38);
 CLS(2,_AInterOpalAccess_101,__AInterOpalAccess_101);
 CLS(1,_AInterOpalAccess_5,__AInterOpalAccess_5);
 CLS(1,_AInterOpalAccess_37,__AInterOpalAccess_37);
 CLS(2,_AInterOpalAccess_100,__AInterOpalAccess_100);
 CLS(1,_AInterOpalAccess_4,__AInterOpalAccess_4);
 CLS(2,_AInterOpalAccess_36,__AInterOpalAccess_36);
 DEN("any",__AInterOpalAccess_99);
 CLS(2,_AInterOpalAccess_3,__AInterOpalAccess_3);
 CLS(1,_AInterOpalAccess_35_c,__AInterOpalAccess_35);
 CLS(4,_AInterOpalAccess_98,__AInterOpalAccess_98);
 CLS(2,_AInterOpalAccess_2,__AInterOpalAccess_2);
 CLS(1,_AInterOpalAccess_34_c,__AInterOpalAccess_34);
 LCLS(1,_AInterOpalAccess_97,__AInterOpalAccess_97);
 CLS(2,_AInterOpalAccess_1,__AInterOpalAccess_1);
 CLS(1,_AInterOpalAccess_33,__AInterOpalAccess_33);
 CLS(2,_AInterOpalAccess_96,__AInterOpalAccess_96);
 CLS(1,_AInterOpalAccess_32,__AInterOpalAccess_32);
 MTH(1,0,2,_mt_1_0_2);LZYMTH(1,0,2,_mt_1_0_2);}

